nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Tribes2 and 2960 drivers (http://www.nvnews.net/vbulletin/showthread.php?t=1696)

Raffles 09-10-02 05:56 AM

Tribes2 and 2960 drivers
 
Hi,

At the moment i have a Geforce 2 MX 32 mb card. It runs tribes2 fine with the 1541 driver.

I upgraded my driver with the 2960 version.

Quake and other games appeared to run fine with this driver, but Tribes2 doesn't run at all. I removed previous installation preferences, but this doesn't work.

Tribes keeps going down with a segmentation fault. Anyone any ideas?

I'm thinking about buying a Geforce4 card. Does it work with the 1541 drivers?

tspinillo 09-10-02 07:09 PM

Tribes2 and 2960 drivers
 
Raffles,

As a shot in the dark, delete Tribes, also delete
~/.loki/tribes2

Reinstall, apply latest patch.

Good luck,

t

Blade 09-10-02 07:34 PM

I have run tribes2 with my 2.4.28-3 and 2960 tar drivers without problems other than it kept crashing so I upgraded the kernel now I cant even get into xwindows...but yes it will play with the 2960 drivers.

Raffles 09-13-02 06:34 PM

Quote:

Originally posted by Blade
I have run tribes2 with my 2.4.28-3 and 2960 tar drivers without problems other than it kept crashing so I upgraded the kernel now I cant even get into xwindows...but yes it will play with the 2960 drivers.
Well i bought a Geforce4 card. Installed Tribes2 from scratch, but it keeps going down.
BUG! (Segmentation Fault) Going down hard...
Tribes 2 for Linux #24834
Built with glibc-2.1 on x86
Stack dump:
{
./tribes2(XMapRaised+0x30419f)[0x8355073]
./tribes2(XMapRaised+0x304387)[0x835525b]
/lib/libpthread.so.0(pthread_kill+0x16d)[0x4012289d]
/lib/libc.so.6(__libc_sigaction+0x138)[0x40179b58]
}
Please send a full bug report,
along with the contents of autosave to: support@lokigames.com
Unable to execute loki_qagent - exiting

Andy Mecham 09-13-02 08:29 PM

What kernel are you using?

Raffles 09-14-02 03:01 AM

Quote:

Originally posted by Andy Mecham
What kernel are you using?
Kernel 2.2.18 (SuSe distro)

btw Quake Arena runs outstanding with the Geforce4 and 2960 driver. But i play only Tribes day after day after day :-) Hope you can help me.

When i start KDE3 i get a weird message. It also appeared with the Geforce2 and 1541 driver. Although there seems nothing wrong with AGP. Tribes worked fine for over a year despite this warning.

Sep 14 09:47:36 fulgor kernel: mtrr: no MTRR for f8000000000,2000000000 found
Sep 14 09:47:36 fulgor kernel: agpgart: agpgart: Detected an Intel i815, but could not find the seco
ndary device.
Sep 14 09:47:36 fulgor insmod: /lib/modules/2.2.18/misc/agpgart.o: init_module: Device or resource b
usy
Sep 14 09:47:36 fulgor insmod: /lib/modules/2.2.18/misc/agpgart.o: insmod agpgart failed
Sep 14 09:47:36 fulgor kernel: NVRM: AGPGART: unable to retrieve symbol agp_backend_acquire
Sep 14 09:47:38 fulgor kernel: mtrr: no MTRR for f8000000000,2000000000 found
Sep 14 09:47:38 fulgor kernel: agpgart: agpgart: Detected an Intel i815, but could not find the seco
ndary device.

Andy Mecham 09-14-02 03:12 AM

Can you try 'export LD_PRELOAD=/usr/lib/libGL.so' before you start Tribes2?

--andy

Raffles 09-14-02 05:16 AM

Quote:

Originally posted by Andy Mecham
Can you try 'export LD_PRELOAD=/usr/lib/libGL.so' before you start Tribes2?

--andy

GREAT Andy... This works. Don't know how :-)

Thanks!!

btw there are new drivers on the NVIDIA-site (2313 series). But there are no SuSe 7.1 drivers anymore. So i rebuild the GLX and kernel rpm files. When i install these there's complaining about dependencies so i used --force --nodeps. X won't start anymore after that. What do i do wrong?

cu Dean


All times are GMT -5. The time now is 02:09 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.